> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Installments Plans

The **Get Installments Plan** API lets you retrieve a list of installment plans associated with a specific account. This endpoint helps view all available plans linked to an account, including their installment options, limits, and availability periods.

Use this API to fetch all installment plans available under a particular account ID.


## OpenAPI

````yaml openapi/installments/get-installments-plan-by-account.json GET /installments-plans
openapi: 3.1.0
info:
  title: installments
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /installments-plans:
    get:
      summary: Get Installments Plans
      operationId: get-installments-plan-by-account
      parameters:
        - name: account_id
          in: query
          description: >-
            The unique identifier of the account. Find it on the [Yuno
            dashboard](https://dashboard.y.uno) (UUID; 36 chars).
          required: true
          schema:
            type: string
        - name: currency
          in: query
          description: >-
            Currency used for filtering plans ([ISO
            4217](https://en.wikipedia.org/wiki/ISO_4217); 3 chars).
          schema:
            type: string
        - name: iin
          in: query
          description: >-
            [Optional] - The issuer identification number (IIN) refers to the
            first few digits of a payment card number issued by a financial
            institution (MAX 8; MIN 6). In case you defined an iin for the
            installments plan, you can use it to filter the response.
          schema:
            type: string
        - name: amount
          in: query
          description: >-
            [Optional] - The amount that the installment plan is available for.
            In case you defined an amount range for the installments plan, you
            can use it to filter the response.
          schema:
            type: string
        - name: payment_method_type
          in: query
          description: >-
            [Optional] - Filter by payment method type (CARD |
            NU_PAY_ENROLLMENT).
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - id: 4d573425-33f9-4c46-b009-2c7e749b0ec7
                      name: plan_007
                      account_id:
                        - f7c5fe77-721b-49c2-84d3-957748df3c2c
                      merchant_reference: Test
                      installments_plan:
                        - installment: 1
                          rate: 1
                          provider_id: ''
                          amount:
                            currency: USD
                            value: '0'
                            total_value: '0'
                        - installment: 3
                          rate: 1
                          provider_id: ''
                          financial_costs:
                            - type: CFT
                              rate: 45.25
                              formatted_value: 45,25%
                            - type: TEA
                              rate: 38.5
                              formatted_value: 38,50%
                          amount:
                            currency: USD
                            value: '0'
                            total_value: '0'
                        - installment: 6
                          rate: 1
                          provider_id: ''
                          amount:
                            currency: USD
                            value: '0'
                            total_value: '0'
                        - installment: 9
                          rate: 1
                          provider_id: ''
                          amount:
                            currency: USD
                            value: '0'
                            total_value: '0'
                        - installment: 12
                          rate: 1
                          provider_id: ''
                          amount:
                            currency: USD
                            value: '0'
                            total_value: '0'
                      iin: null
                      country_code: US
                      first_installment_deferral: 0
                      amount:
                        Currency: USD
                        min_value: 0
                        max_value: 100000000
                      availability:
                        start_at: '2023-09-12T00:00:00Z'
                        finish_at: '2030-09-20T00:00:00Z'
                      created_at: '2023-10-11T17:52:31.886178Z'
                      updated_at: '2023-10-11T17:52:31.886178Z'
                      payment_method_type: NU_PAY_ENROLLMENT
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: 4d573425-33f9-4c46-b009-2c7e749b0ec7
                    name:
                      type: string
                      example: plan_007
                    account_id:
                      type: array
                      items:
                        type: string
                        example: f7c5fe77-721b-49c2-84d3-957748df3c2c
                    merchant_reference:
                      type: string
                      example: Test
                    installments_plan:
                      type: array
                      items:
                        type: object
                        properties:
                          installment:
                            type: integer
                            example: 1
                            default: 0
                          rate:
                            type: integer
                            example: 1
                            default: 0
                          provider_id:
                            type: string
                            example: ''
                          financial_costs:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - CFT
                                    - TEA
                                    - CET
                                    - CAT
                                rate:
                                  type: number
                                  format: float
                                formatted_value:
                                  type: string
                          amount:
                            type: object
                            properties:
                              currency:
                                type: string
                                example: USD
                              value:
                                type: string
                                example: '0'
                              total_value:
                                type: string
                                example: '0'
                    iin: {}
                    country_code:
                      type: string
                      example: US
                    first_installment_deferral:
                      type: integer
                      example: 0
                      default: 0
                    amount:
                      type: object
                      properties:
                        Currency:
                          type: string
                          example: USD
                        min_value:
                          type: integer
                          example: 0
                          default: 0
                        max_value:
                          type: integer
                          example: 100000000
                          default: 0
                    availability:
                      type: object
                      properties:
                        start_at:
                          type: string
                          example: '2023-09-12T00:00:00Z'
                        finish_at:
                          type: string
                          example: '2030-09-20T00:00:00Z'
                    created_at:
                      type: string
                      example: '2023-10-11T17:52:31.886178Z'
                    updated_at:
                      type: string
                      example: '2023-10-11T17:52:31.886178Z'
                    payment_method_type:
                      type: string
                      example: NU_PAY_ENROLLMENT
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````